libvisio::VSDParagraphListElement Class Reference documentation

Public Member Functions | Public Attributes | List of all members
libvisio::VSDParagraphListElement Class Referenceabstract
Inheritance diagram for libvisio::VSDParagraphListElement:

## Public Member Functions
| VSDParagraphListElement (unsigned id, unsigned level)
virtual | ~VSDParagraphListElement ()
virtual void | handle (VSDCollector *collector) const =0
virtual VSDParagraphListElement * | clone ()=0
virtual unsigned | getCharCount () const =0
virtual void | setCharCount (unsigned charCount)=0

## Public Attributes
unsigned | m_id
unsigned | m_level

## Constructor & Destructor Documentation

## § VSDParagraphListElement()

libvisio::VSDParagraphListElement::VSDParagraphListElement | ( | unsigned | id,
|  | unsigned | level
| ) |  |
| inline

## § ~VSDParagraphListElement()

virtual libvisio::VSDParagraphListElement::~VSDParagraphListElement | ( |  | ) |
| inlinevirtual

## Member Function Documentation

## § clone()

virtual VSDParagraphListElement* libvisio::VSDParagraphListElement::clone | ( |  | ) |
| pure virtual

Implemented in libvisio::VSDParaIX.

Referenced by ~VSDParagraphListElement(), and libvisio::VSDParaIX::~VSDParaIX().

## § getCharCount()

virtual unsigned libvisio::VSDParagraphListElement::getCharCount | ( |  | ) | const
| pure virtual

Implemented in libvisio::VSDParaIX.

Referenced by ~VSDParagraphListElement().

## § handle()

virtual void libvisio::VSDParagraphListElement::handle | ( | VSDCollector * | collector | ) | const
| pure virtual

Implemented in libvisio::VSDParaIX.

Referenced by ~VSDParagraphListElement(), and libvisio::VSDParaIX::~VSDParaIX().

## § setCharCount()

virtual void libvisio::VSDParagraphListElement::setCharCount | ( | unsigned | charCount | ) |
| pure virtual

Implemented in libvisio::VSDParaIX.

Referenced by ~VSDParagraphListElement().

## Member Data Documentation

## § m_id

unsigned libvisio::VSDParagraphListElement::m_id

Referenced by libvisio::VSDParaIX::clone(), and libvisio::VSDParaIX::handle().

## § m_level

unsigned libvisio::VSDParagraphListElement::m_level

Referenced by libvisio::VSDParaIX::clone(), and libvisio::VSDParaIX::handle().

The documentation for this class was generated from the following file:

- VSDParagraphList.cpp